/*
  Message
  Handle encoding/decoding infocom text messages
  JBS 15 June 1994
*/

#ifndef _MESSAGE_

#define _MESSAGE_

#include "types.h"

#define STD_CHARS_PER_WORD	6
#define STD_ENCODED_SIZE	(STD_CHARS_PER_WORD/3)
#define PLUS_CHARS_PER_WORD	9
#define PLUS_ENCODED_SIZE	(PLUS_CHARS_PER_WORD/3)

void init_message(void);
void print_coded(word *, word *);
void encode(byte *, word[]);

#endif
